Index: branches/UKMO/dev_r5518_GO6_package_asm_surf_bgc/NEMOGCM/NEMO/OPA_SRC/ASM/asmlogchlbal_hadocc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_asm_surf_bgc/NEMOGCM/NEMO/OPA_SRC/ASM/asmlogchlbal_hadocc.F90	(revision 8428)
+++ branches/UKMO/dev_r5518_GO6_package_asm_surf_bgc/NEMOGCM/NEMO/OPA_SRC/ASM/asmlogchlbal_hadocc.F90	(revision 8436)
@@ -25,9 +25,5 @@
    USE iom                                 ! i/o
    USE trc,           ONLY: trn, trb,    & ! HadOCC variables
-      &                     HADOCC_CHL,  &
-      &                     pgrow_avg,   &
-      &                     ploss_avg,   &
-      &                     phyt_avg,    &
-      &                     mld_max
+      &                     HADOCC_CHL
    USE par_hadocc                          ! HadOCC parameters
    USE had_bgc_stnd,  ONLY: kmt            ! HadOCC parameters
@@ -75,5 +71,8 @@
 
    SUBROUTINE asm_logchl_bal_hadocc( logchl_bkginc, aincper, mld_choice_bgc, &
-      &                              k_maxchlinc, ld_logchlbal, logchl_balinc )
+      &                              k_maxchlinc, ld_logchlbal,              &
+      &                              pgrow_avg_bkg, ploss_avg_bkg,           &
+      &                              phyt_avg_bkg, mld_max_bkg,              &
+      &                              logchl_balinc )
       !!---------------------------------------------------------------------------
       !!                    ***  ROUTINE asm_logchl_bal_hadocc  ***
@@ -95,7 +94,11 @@
       REAL(wp), INTENT(in   )                               :: k_maxchlinc    ! Max chl increment
       LOGICAL,  INTENT(in   )                               :: ld_logchlbal   ! Balancing y/n
+      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj)           :: pgrow_avg_bkg  ! Avg phyto growth
+      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj)           :: ploss_avg_bkg  ! Avg phyto loss
+      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj)           :: phyt_avg_bkg   ! Avg phyto
+      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj)           :: mld_max_bkg    ! Max MLD
       REAL(wp), INTENT(  out), DIMENSION(jpi,jpj,jpk,jptra) :: logchl_balinc  ! Balancing increments
       !!
-      INTEGER                                               :: ji, jj, jk     ! Loop counters
+      INTEGER                                               :: ji, jj, jk, jn ! Loop counters
       INTEGER                                               :: jkmax          ! Loop index
       INTEGER,                 DIMENSION(6)                 :: i_tracer       ! Tracer indices
@@ -215,14 +218,14 @@
 
          ! Call nitrogen balancing routine
-         CALL bio_analysis( jpi, jpj, jpk, ZDZ(:,:,:), i_tracer, modparm,          &
-            &               n2be_p, n2be_z, n2be_d, assimparm,                     &
-            &               INT(aincper), 1, kmt(:,:), tmask(:,:,:),               &
-            &               zmld(:,:), mld_max(:,:), chl_inc(:,:), cchl_p(:,:,1),  &
-            &               nbal_active, phyt_avg(:,:),                            &
-            &               gl_active, pgrow_avg(:,:), ploss_avg(:,:),             &
-            &               subsurf_active, deepneg_active,                        &
-            &               deeppos_active, nutprof_active,                        &
-            &               bstate, outincs,                                       &
-            &               diag_active, diag,                                     &
+         CALL bio_analysis( jpi, jpj, jpk, ZDZ(:,:,:), i_tracer, modparm,             &
+            &               n2be_p, n2be_z, n2be_d, assimparm,                        &
+            &               INT(aincper), 1, kmt(:,:), tmask(:,:,:),                  &
+            &               zmld(:,:), mld_max_bkg(:,:), chl_inc(:,:), cchl_p(:,:,1), &
+            &               nbal_active, phyt_avg_bkg(:,:),                           &
+            &               gl_active, pgrow_avg_bkg(:,:), ploss_avg_bkg(:,:),        &
+            &               subsurf_active, deepneg_active,                           &
+            &               deeppos_active, nutprof_active,                           &
+            &               bstate, outincs,                                          &
+            &               diag_active, diag,                                        &
             &               diag_fulldepth_active, diag_fulldepth )
 
